FHIR Healthcare
Connect FHIR
Connect a FHIR clinic endpoint.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
integrations
/
fhir
Connect FHIR
curl --request POST \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/integrations/fhir \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"base_url": "<string>",
"token_url": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"scope": "<string>",
"inbox_id": 123,
"auto_send_results": true,
"default_locale": "<string>",
"supported_locales": "<array>"
}
'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/integrations/fhir"
payload = {
"base_url": "<string>",
"token_url": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"scope": "<string>",
"inbox_id": 123,
"auto_send_results": True,
"default_locale": "<string>",
"supported_locales": "<array>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
base_url: '<string>',
token_url: '<string>',
client_id: '<string>',
client_secret: '<string>',
scope: '<string>',
inbox_id: 123,
auto_send_results: true,
default_locale: '<string>',
supported_locales: '<array>'
})
};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/integrations/fhir', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Authorizations
All API requests must include the api_access_token header with a valid agent or administrator token.
Path Parameters
Numeric ID of the account
Body
application/json
Response
Successful response
⌘I
Connect FHIR

